com.collabnet.ce.soap60.webservices.scm

## Class ReplicatedRepositorySoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.FolderSoapRow
  - - com.collabnet.ce.soap60.webservices.scm.ReplicatedRepositorySoapRow

-     public class ReplicatedRepositorySoapRow
      extends FolderSoapRow

  A list of repository locations which replicate a master.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `STATUS_PENDING`
    `static String` | `STATUS_PENDING_REMOVAL`
    `static String` | `STATUS_PREPARING_REPO`
    `static String` | `STATUS_READY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplicatedRepositorySoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCheckoutCommand()` Returns 'checkoutCommand'.
    `String` | `getHealth()` Returns 'health'.
    `String` | `getManagedByFullName()` Returns 'managedByFullName'.
    `String` | `getManagedByUsername()` Returns 'managedByUsername'.
    `String` | `getStatus()` Returns 'status'.
    `String` | `getUrl()` Returns 'url'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setCheckoutCommand(String checkoutCommand)` Sets 'checkoutCommand'.
    `void` | `setHealth(String health)` Sets 'health'.
    `void` | `setManagedByFullName(String managedByFullName)` Sets 'managedByFullName'.
    `void` | `setManagedByUsername(String managedByUsername)` Sets 'managedByUsername'.
    `void` | `setStatus(String status)` Sets 'status'.
    `void` | `setUrl(String url)` Sets 'url'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapRow

      `getCreatedBy, getCreatedOn, getDescription, getId, getLastModifiedBy, getLastModifiedOn, getParentFolderId, getPath, getProjectId, getTitle, setCreatedBy, setCreatedOn, setDescription, setId, setLastModifiedBy, setLastModifiedOn, setParentFolderId, setPath, setProjectId, setTitle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_READY

          public static final String STATUS_READY

      See Also:
        Constant Field Values

    - #### STATUS_PENDING

          public static final String STATUS_PENDING

      See Also:
        Constant Field Values

    - #### STATUS_PENDING_REMOVAL

          public static final String STATUS_PENDING_REMOVAL

      See Also:
        Constant Field Values

    - #### STATUS_PREPARING_REPO

          public static final String STATUS_PREPARING_REPO

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ReplicatedRepositorySoapRow

          public ReplicatedRepositorySoapRow()

  - ### Method Detail

    - #### getManagedByUsername

          public String getManagedByUsername()

      Returns 'managedByUsername'.
      Returns:
        Value of 'managedByUsername'.

    - #### setManagedByUsername

          public void setManagedByUsername(String managedByUsername)

      Sets 'managedByUsername'.
      Parameters:
        `managedByUsername` - Value of 'managedByUsername'.

    - #### getManagedByFullName

          public String getManagedByFullName()

      Returns 'managedByFullName'.
      Returns:
        Value of 'managedByFullName'.

    - #### setManagedByFullName

          public void setManagedByFullName(String managedByFullName)

      Sets 'managedByFullName'.
      Parameters:
        `managedByFullName` - Value of 'managedByFullName'.

    - #### getStatus

          public String getStatus()

      Returns 'status'.
      Returns:
        Value of 'status'.

    - #### setStatus

          public void setStatus(String status)

      Sets 'status'.
      Parameters:
        `status` - Value of 'status'.

    - #### getHealth

          public String getHealth()

      Returns 'health'.
      Returns:
        Value of 'health'.

    - #### setHealth

          public void setHealth(String health)

      Sets 'health'.
      Parameters:
        `health` - Value of 'health'.

    - #### getUrl

          public String getUrl()

      Returns 'url'.
      Returns:
        Value of 'url'.

    - #### setUrl

          public void setUrl(String url)

      Sets 'url'.
      Parameters:
        `url` - Value of 'url'.

    - #### getCheckoutCommand

          public String getCheckoutCommand()

      Returns 'checkoutCommand'.
      Returns:
        Value of 'checkoutCommand'.

    - #### setCheckoutCommand

          public void setCheckoutCommand(String checkoutCommand)

      Sets 'checkoutCommand'.
      Parameters:
        `checkoutCommand` - Value of 'checkoutCommand'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.